Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512080 - performance/write-behind should respect window-size & trickling-writes should be configurable
Summary: performance/write-behind should respect window-size & trickling-writes should...
Keywords:
Status: CLOSED DUPLICATE of bug 1428060
Alias: None
Product: GlusterFS
Classification: Community
Component: write-behind
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Csaba Henk
QA Contact:
URL:
Whiteboard:
Depends On: 1364740
Blocks: 1426042
TreeView+ depends on / blocked
 
Reported: 2017-11-10 19:21 UTC by Csaba Henk
Modified: 2017-12-28 05:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1364740
Environment:
Last Closed: 2017-12-12 17:01:30 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Csaba Henk 2017-11-10 19:21:43 UTC
+++ This bug was initially created as a clone of Bug #1364740 +++

Description of problem:
- window-size option does not work when it is > 128KB
- trickling-writes is not configurable


Version-Release number of selected component (if applicable): 3.8


How reproducible: Always


Steps to Reproduce:
1. Write a 1MB file to a gluster mount and observe write sizes on the bricks.

Actual results: Write sizes are always buffered into 'page-size' (128KB) chunks rather than 'window-size' chunks.

Expected results: We expect the window-size to be respected and the writes buffered accordingly.


Additional info:

--- Additional comment from Red Hat Bugzilla Rules Engine on 2016-08-06 16:47:25 EDT ---

This bug is automatically being proposed for the current z-stream release of Red Hat Gluster Storage 3 by setting the release flag 'rhgs‑3.1.z' to '?'. 

If this bug should be proposed for a different release, please manually change the proposed release flag.

--- Additional comment from Niels de Vos on 2016-09-12 01:40:00 EDT ---

All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

--- Additional comment from Niels de Vos on 2017-11-07 05:37:11 EST ---

This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.

Comment 1 Csaba Henk 2017-11-10 19:24:00 UTC
The situation described in the original, EOL'd bug, Bug #1364740, still prevails, so we are cloning it for mainline.

Comment 2 Worker Ant 2017-11-10 19:42:38 UTC
REVIEW: https://review.gluster.org/18719 (write-behind: Allow trickling-writes to be configurable) posted (#1) for review on master by Csaba Henk

Comment 3 Csaba Henk 2017-12-12 17:01:30 UTC

*** This bug has been marked as a duplicate of bug 1428060 ***

Comment 4 Worker Ant 2017-12-12 17:05:05 UTC
REVISION POSTED: https://review.gluster.org/18719 (write-behind: Allow trickling-writes to be configurable) posted (#5) for review on master by Csaba Henk


Note You need to log in before you can comment on or make changes to this bug.